import request from '@/utils/request'

export function get(params) {
  return request({
    url: 'api/dmPlateNumber',
    method: 'get',
    params
  })
}

export function add(data) {
  return request({
    url: 'api/dmPlateNumber',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmPlateNumber',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmPlateNumber',
    method: 'put',
    data
  })
}

export function editEnabled(data) {
  return request({
    url: 'api/dmPlateNumber/updateEnabled',
    method: 'put',
    data
  })
}

export function queryPlateUmberApprove() {
  return request({
    url: 'api/dmPlateNumber/queryPlateUmberApprove',
    method: 'get'
  })
}

export function updatePlateUmberApprove(params) {
  return request({
    url: 'api/dmPlateNumber/updatePlateUmberApprove?isApprove=' + params,
    method: 'get'
  })
}

export default { add, edit, del, get, editEnabled, queryPlateUmberApprove, updatePlateUmberApprove }
